Name:      and
Version:   1.2.2
Release:   9%{?dist}
Summary:   Auto nice daemon

License:   GPLv2
Group:     System Environment/Daemons

URL:       http://and.sourceforge.net
Source0:   http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:   and.init
Source2:   and.sysconf 
Source3:   and.service
Patch1:    and-1.2.2-makefile.patch

Buildroot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)

Requires:  init(%{name})

%description
The auto nice daemon renices and even kills jobs according to their CPU time,
owner, and command name. This is especially useful on production machines with
lots of concurrent CPU-intensive jobs and users that tend to forget to
nice their jobs.

%package sysvinit
Summary:	SysV initscripts for and
License:	GPLv2
Group:		System Environment/Daemons

Requires(post):  %{name} /sbin/chkconfig
Requires(postun): %{name} /sbin/service
Requires(preun): %{name} /sbin/chkconfig
Requires(preun): %{name} /sbin/service

Provides:	 init(%{name}) = sysv

Buildarch:	 noarch

%description sysvinit
The auto nice daemon renices and even kills jobs according to their CPU time,
owner, and command name. This is especially useful on production machines with
lots of concurrent CPU-intensive jobs and users that tend to forget to
nice their jobs.

This package provides initscripts for the SysV init system.

%package units
Summary:	systemd units for and
License:	GPLv2
Group:		System Environment/Daemons

Requires(post):  %{name} systemd-units
Requires(postun): %{name} systemd-units
Requires(preun): %{name} systemd-units
Requires(preun): %{name} systemd-units

Provides:	 init(%{name}) = systemd

Buildarch:	 noarch

%description units
The auto nice daemon renices and even kills jobs according to their CPU time,
owner, and command name. This is especially useful on production machines with
lots of concurrent CPU-intensive jobs and users that tend to forget to
nice their jobs.

This package provides a services file for the systemd init system.

%prep            
%setup1 -q
%patch1 -p1 -b .org

%build
make %{?_smp_mflags} \
     CFLAGS='%{optflags}' \
     PREFIX=%{_prefix} \
     INSTALL_ETC=%{_sysconfdir} \
     INSTALL_SBIN=%{_sbindir} \
     INSTALL_MAN=%{_mandir}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man8
mkdir -p %{buildroot}%{_mandir}/man5
make PREFIX=%{buildroot}%{_prefix} \
     INSTALL_ETC=%{buildroot}%{_sysconfdir} \
     INSTALL_SBIN=%{buildroot}%{_sbindir} \
     INSTALL_MAN=%{buildroot}%{_mandir} install 

mkdir -p %{buildroot}%{_initrddir}
install -p -m 0755 %{SOURCE1} %{buildroot}%{_initrddir}/and

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -p -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/and

mkdir -p %{buildroot}/lib/systemd/system
install -p -m 0644 %{SOURCE3} %{buildroot}/lib/systemd/system

%clean
rm -rf %{buildroot}

%post sysvinit
/sbin/chkconfig --add and

%preun sysvinit
if [ $1 -eq 0 ]; then 
   /sbin/service and stop >/dev/null 2>&1 || :
   /sbin/chkconfig --del and
fi

%postun sysvinit
if [ $1 -ge 1 ]; then
   /sbin/service and condrestart >/dev/null
fi

%post units
/usr/bin/systemd-install --realize=minimal enable amd.service >/dev/null 2>&1 || :

%preun units
if [$1 -eq ß ]; then
   /usr/bin/system-install --realize disable amd.service </dev/null 2>&1 || :
fi

%files
%defattr(-,root,root)
%doc README LICENSE CHANGELOG
%config(noreplace) %{_sysconfdir}/and/
%config(noreplace) %{_sysconfdir}/sysconfig/and
%{_sbindir}/*
%{_mandir}/man5/*.gz
%{_mandir}/man8/*.gz

%files sysvinit
%defattr(-,root,root)
%attr(0755,root,root) %{_initrddir}/and

%files units
%defattr(-,root,root)
/lib/systemd/system/and.service

%changelog
* Sun Jul 18 2010 Jochen Schmitt <Jochen herr-schmitt de> - 1.2.2-9
- Try to add systemd support

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 13 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-6
- Rebuild for gcc-4.3

* Wed Jan 23 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-5
- Rebuild

* Thu Aug  9 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-4
- Changing license tag

* Mon Jul 30 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-3
- Fix wrong postun requires

* Thu Jul 26 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-2
- Adding sysconfig file template

* Tue Jul 24 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.2.2-1
- Initial package for Fedora
